
typedef short time_t;

char t_buffer[1024];

#define NULL 0

extern void print();

extern time_t get_time_hours();
extern time_t get_time_min();
extern time_t get_time_sec();

extern time_t get_time_day();
extern time_t get_time_month();
extern time_t get_time_cent();
extern time_t get_time_year();

extern char * tohex();

int
main()
{
   time_t t;

   print("CENTURY: ");
   t = get_time_cent();
   tohex(t);

   print("YEAR: ");
   t = get_time_year();
   tohex(t);

   print("MONTH: ");
   t = get_time_month();
   tohex(t);

   print("DAY: ");
   t = get_time_day();
   tohex(t);

   print("HOUR: ");
   t = get_time_hours();
   tohex(t);

   print("MINUTE: ");
   t = get_time_min();
   tohex(t);

   
   print("SECOND: ");
   t = get_time_sec();
   tohex(t);

   return 0;
}
